%global pkgvers 0
%global scdate0 20250217
%global schash0 2b7d0573a67944484c91338519fa4e60e35eb251
%global branch0 master
%global source0 https://github.com/herumi/xbyak.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           xbyak
Version:        7.24
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        JIT assembler for x86 and x64 by C++
License:        BSD
BuildArch:      noarch

URL:            https://github.com/herumi/xbyak

BuildRequires:  cmake gcc-c++ git

%global __cmake_in_source_build 1

%description
JIT assembler for x86(IA32), x64(AMD64, x86-64) by C++

%package        devel
Summary:        Library

%description    devel
Contains header files for developing applications that use the %{name}
library.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
mkdir -p build
pushd build
%cmake .. -Wno-dev \
       -DCMAKE_SKIP_RPATH=ON \
       -DENABLE_PLUGIN_RPATH=OFF \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo
make %{?_smp_mflags}
popd


%install
rm -rf %{buildroot}

pushd build
make install DESTDIR=%{buildroot}
popd


%post -p /sbin/ldconfig
%postun  -p /sbin/ldconfig


%files devel
%license COPYRIGHT
%doc sample
%{_includedir}/*
%{_libdir}/cmake/*

%changelog
* Sat May 30 2020 Cristian Balint <cristian.balint@gmail.com>
- github update releases
